> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Register User

> * An external member can use this endpoint to create an account on the workspace.
* The number of requests you can make and the interval between each request depends on the workspace's rate limiter settings. You can find the settings from **Manage** > **Workspace** > **Settings** > **Rate Limiter** > **API Rate Limiter**.

### Changelog
| Version      | Description |
| ---------------- | ------------|
|0.50.0            | Added       |

## OpenAPI

````json POST /api/v1/users.register
{
  "openapi": "3.0.0",
  "info": {
    "version": "1.0.0",
    "title": "User Management"
  },
  "servers": [
    {
      "url": "https://apiexplorer.support.rocket.chat"
    }
  ],
  "tags": [
    {
      "name": "LDAP"
    },
    {
      "name": "Permissions"
    },
    {
      "name": "Roles"
    },
    {
      "name": "Users"
    }
  ],
  "paths": {
    "/api/v1/users.register": {
      "parameters": [],
      "post": {
        "tags": [
          "Users"
        ],
        "summary": "Register User",
        "description": "* An external member can use this endpoint to create an account on the workspace.\n* The number of requests you can make and the interval between each request depends on the workspace's rate limiter settings. You can find the settings from **Manage** > **Workspace** > **Settings** > **Rate Limiter** > **API Rate Limiter**.\n\n### Changelog\n| Version      | Description |\n| ---------------- | ------------|\n|0.50.0            | Added       |",
        "operationId": "post-api-v1-users.register",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "username": {
                    "type": "string",
                    "description": "The username for the user.",
                    "example": "rogersmith"
                  },
                  "email": {
                    "type": "string",
                    "description": "The email for the user.",
                    "example": "roger@example.com"
                  },
                  "pass": {
                    "type": "string",
                    "description": "The password for the user.",
                    "example": "passw0rd"
                  },
                  "name": {
                    "type": "string",
                    "description": "The name of the user. \nThe value can be an empty string if `Require Name For Signup` is disabled in [account registration](https://docs.rocket.chat/use-rocket.chat/workspace-administration/settings/accounts#registration).",
                    "example": "Roger Smith"
                  },
                  "secretURL": {
                    "type": "string",
                    "description": "You may have been provided with a secret URL. It includes a string appended to the registration URL. For example, `https://workspacedomain.com/register/my-secret-code`. For this parameter, enter the additional string at the end of the URL.",
                    "example": "Jjwjg6gouWLXhMGKW"
                  }
                },
                "required": [
                  "username",
                  "email",
                  "pass",
                  "name"
                ]
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "user": {
                      "type": "object",
                      "properties": {
                        "_id": {
                          "type": "string"
                        },
                        "type": {
                          "type": "string"
                        },
                        "status": {
                          "type": "string"
                        },
                        "active": {
                          "type": "boolean"
                        },
                        "name": {
                          "type": "string"
                        },
                        "utcOffset": {
                          "type": "integer"
                        },
                        "username": {
                          "type": "string"
                        }
                      }
                    },
                    "success": {
                      "type": "boolean"
                    }
                  }
                },
                "examples": {
                  "Success Example": {
                    "value": {
                      "user": {
                        "_id": "nSYqWzZ4GsKTX4dyK",
                        "type": "user",
                        "status": "offline",
                        "active": "true",
                        "name": "Example User",
                        "utcOffset": "0",
                        "username": "example"
                      },
                      "success": "true"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean"
                    },
                    "error": {
                      "type": "string"
                    },
                    "errorType": {
                      "type": "string"
                    }
                  }
                },
                "examples": {
                  "Example 1": {
                    "value": {
                      "success": "false",
                      "error": "must have required property 'pass' [invalid-params]",
                      "errorType": "invalid-params"
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}
````

